/api/news/entry
get
Get news entry
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
newsidintegerRequired
Responses
200
success
successbooleanOptionalExample:
trueget/api/news/entry
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'newsid' => '1'
);
$request = array(
'method' => 'GET',
'path' => 'news/entry',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"entry": {
"newsid": "1",
"added": "1565382566",
"loginid": "1",
"news_section_id": "1",
"headline": "test Headline",
"body": "This is a news entry test",
"publish": "1559275200",
"news_section_name": "Announcements",
"publish_date": "2019-05-31 00:00:00",
"added_date": "2019-08-09 16:29:26",
"body_nice": "This is a news entry test"
}
}post
Add news entry
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
headlinestringRequired
news_section_idintegerRequired
publishstringRequired
bodystringRequired
Responses
200
success
successbooleanOptionalExample:
truepost/api/news/entry
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'headline' => 'test Headline',
'news_section_id' => 1,
'publish' => '31 May 2019',
'body' => 'This is a news entry test'
);
$request = array(
'method' => 'POST',
'path' => 'news/entry',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "news entry added",
"entry": {
"newsid": "1",
"added": "1565382566",
"loginid": "1",
"news_section_id": "1",
"headline": "test Headline",
"body": "This is a news entry test",
"publish": "1559275200",
"news_section_name": "Announcements",
"publish_date": "2019-05-31 00:00:00",
"added_date": "2019-08-09 16:29:26"
}
}delete
Delete news entry
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
newsidintegerRequired
Responses
200
success
successbooleanOptionalExample:
truedelete/api/news/entry
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'newsid' => '1'
);
$request = array(
'method' => 'DELETE',
'path' => 'news/entry',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "news entry deleted"
}patch
Edit news entry
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
newsidintegerRequired
headlinestringRequired
news_section_idintegerRequired
publishstringRequired
bodystringRequired
Responses
200
success
successbooleanOptionalExample:
truepatch/api/news/entry
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'newsid' => '1',
'headline' => 'updated test headline',
'news_section_id' => 1,
'publish' => '2019-06-11 12:00:00',
'body' => 'updated test body'
);
$request = array(
'method' => 'PATCH',
'path' => 'news/entry',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "news entry updated"
}Last updated
Was this helpful?